<template>
  <tr>
    <td>{{ inventory.id }}</td>
    <td>{{ inventory.itemType.name }}</td>
    <td>{{ inventory.location.name }}</td>
    <td>{{ inventory.status }}</td>
    <td>{{ lastSeenTime }}</td>
  </tr>
</template>

<script lang="ts">
  import Vue from 'vue';
  import Component from 'vue-class-component';
  import { Prop } from 'vue-property-decorator';
  import format from 'date-fns/format';
  import { InventoryQueryData } from '../../views/common/query';

  @Component({})
  export default class InventoryRow extends Vue {
    @Prop({
      type: Object,
      required: true,
    }) inventory!: InventoryQueryData;

    get lastSeenTime() {
      return format(this.inventory.lastSeenTime, 'Do MMM, YYYY HH:mm:ss(Z)');
    }
  }
</script>
